#include <stdio.h>
#define MAKS_NIZ 100

float max_broj(float niz[], int n){ 
	float max=niz[0];		
	int i;

	for(i=0;i<n;i++)
		if(niz[i]>max)max=niz[i];   
	return max;
}

float aritmeticka_sredina(float niz[], int n){ 
	float suma=0.0;
	int i;
	for(i=0;i<n;i++) suma+=niz[i];
	return suma/n;
}


int main(){
	int n,i;
	float niz[MAKS_NIZ], max, arit;		

	printf("Unesite duzinu niza n: ");
	scanf("%d", &n);

	if(n<=0 || n>MAKS_NIZ){ 	/*ukoliko je duzina niza manja ili jednaka 0, greska, ili veca od max 				duzine niza*/
		printf("-1\n");	
		return 0;
                }
	
	for(i=0;i<n;i++)scanf("%f", &niz[i]);    	
			 
	max=max_broj(niz, n);				
	arit=aritmeticka_sredina(niz, n);
	
	printf("%f\n", max);				
	printf("%f\n", arit);				

	if(max>2*arit) printf("1\n");			
	else printf("0\n");
	return 0;
}
	









